package com.ruoyi.project.patrol.fire.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * CO2气体保护系统对象 t_fire_gas_shield
 *
 * @author admin
 * @date 2023-11-01
 */
public class TFireGasShield extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    public TFireGasShield() {
    }

    public TFireGasShield(String devNo,  Long month, Long year, Long planId,String createrCode) {
        this.devNo = devNo;
        this.month = month;
        this.year = year;
        this.planId = planId;
        this.issuesStatus = "0";
        this.checkStatus = "0";
        this.createdate = new Date();
        this.createrCode = createrCode;
    }
    /** 主键id */
    private Long id;

    /** 位号 */
    @Excel(name = "位号")
    private String devNo;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** CO2灭火系统组件外观 */
    @Excel(name = "CO2灭火系统组件外观")
    private String componentAppearance;

    /** 钢瓶间安全警示标志 */
    @Excel(name = "钢瓶间安全警示标志")
    private String safetySign;

    /** 电仪机柜间气体释放警示标识 */
    @Excel(name = "电仪机柜间气体释放警示标识")
    private String releaseSign;

    /** 钢瓶间操作卡片、标识 */
    @Excel(name = "钢瓶间操作卡片、标识")
    private String cardSign;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    /** 检查状态 */
    @Excel(name = "检查状态")
    private String checkStatus;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 删除标识0未删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 计划id */
    @Excel(name = "计划id")
    private Long planId;

    /** 问题文件地址 */
    @Excel(name = "问题文件地址")
    private String problemFileUrl;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 检测是否有问题(1:是,0:否) */
    @Excel(name = "检测是否有问题(1:是,0:否)")
    private String issuesStatus;

    /** 是否为问题记录数据 */
    @Excel(name = "是否为问题记录数据")
    private String issuesFlag;

    /** 问题修复附件 */
    @Excel(name = "问题修复附件")
    private String repairFile;

    /** 钢瓶间的照明 */
    @Excel(name = "钢瓶间的照明")
    private String illumination;

    /** 气动源的压力 */
    @Excel(name = "气动源的压力")
    private String pressure;

    /** 灭火控制盘工作状态及声光报警和放气指示灯工作状态 */
    @Excel(name = "灭火控制盘工作状态及声光报警和放气指示灯工作状态")
    private String indicatorStatus;

    /** 秤重报警装置工作状态 */
    @Excel(name = "秤重报警装置工作状态")
    private String deviceStatus;

    private String precision;

    public String getPrecision() {
        return precision;
    }

    public void setPrecision(String precision) {
        this.precision = precision;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setComponentAppearance(String componentAppearance)
    {
        this.componentAppearance = componentAppearance;
    }

    public String getComponentAppearance()
    {
        return componentAppearance;
    }
    public void setSafetySign(String safetySign)
    {
        this.safetySign = safetySign;
    }

    public String getSafetySign()
    {
        return safetySign;
    }
    public void setReleaseSign(String releaseSign)
    {
        this.releaseSign = releaseSign;
    }

    public String getReleaseSign()
    {
        return releaseSign;
    }
    public void setCardSign(String cardSign)
    {
        this.cardSign = cardSign;
    }

    public String getCardSign()
    {
        return cardSign;
    }
    public void setConfirmed(String confirmed)
    {
        this.confirmed = confirmed;
    }

    public String getConfirmed()
    {
        return confirmed;
    }
    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }
    public void setProblemFileUrl(String problemFileUrl)
    {
        this.problemFileUrl = problemFileUrl;
    }

    public String getProblemFileUrl()
    {
        return problemFileUrl;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setIssuesStatus(String issuesStatus)
    {
        this.issuesStatus = issuesStatus;
    }

    public String getIssuesStatus()
    {
        return issuesStatus;
    }
    public void setIssuesFlag(String issuesFlag)
    {
        this.issuesFlag = issuesFlag;
    }

    public String getIssuesFlag()
    {
        return issuesFlag;
    }
    public void setRepairFile(String repairFile)
    {
        this.repairFile = repairFile;
    }

    public String getRepairFile()
    {
        return repairFile;
    }
    public void setIllumination(String illumination)
    {
        this.illumination = illumination;
    }

    public String getIllumination()
    {
        return illumination;
    }
    public void setPressure(String pressure)
    {
        this.pressure = pressure;
    }

    public String getPressure()
    {
        return pressure;
    }
    public void setIndicatorStatus(String indicatorStatus)
    {
        this.indicatorStatus = indicatorStatus;
    }

    public String getIndicatorStatus()
    {
        return indicatorStatus;
    }
    public void setDeviceStatus(String deviceStatus)
    {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceStatus()
    {
        return deviceStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devNo", getDevNo())
            .append("position", getPosition())
            .append("componentAppearance", getComponentAppearance())
            .append("safetySign", getSafetySign())
            .append("releaseSign", getReleaseSign())
            .append("cardSign", getCardSign())
            .append("confirmed", getConfirmed())
            .append("checkStatus", getCheckStatus())
            .append("checkDate", getCheckDate())
            .append("month", getMonth())
            .append("year", getYear())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("planId", getPlanId())
            .append("problemFileUrl", getProblemFileUrl())
            .append("fileUrl", getFileUrl())
            .append("issuesStatus", getIssuesStatus())
            .append("issuesFlag", getIssuesFlag())
            .append("repairFile", getRepairFile())
            .append("illumination", getIllumination())
            .append("pressure", getPressure())
            .append("indicatorStatus", getIndicatorStatus())
            .append("deviceStatus", getDeviceStatus())
            .toString();
    }
}
